# Contact Districts Contact Districts ## Creates a new contact district record that does not already exist. - [POST /contactDistricts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/createcontactdistrict.md): This method will auto-generate an ID and create a new contact district. If an ID is specified for the contact district, an error will be thrown. ## Execute Batch Operations - [POST /contactDistricts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a contact district from the system by its ID. - [DELETE /contactDistricts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/deletecontactdistrict.md): This method will delete a contact district with the specified ID. ## Returns a contact district from the system by its ID. - [GET /contactDistricts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/getcontactdistrict.md): This method will look up a contact district by the specified ID and return it back. ## Partially updates a contact district with the specified ID. - [PATCH /contactDistricts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/patchcontactdistrict.md): This method will patch an existing contact district with the specified ID, using the HTTP PATCH specification. ## Updates a contact district with the specified ID. - [PUT /contactDistricts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-districts/updatecontactdistrict.md): This method will update an existing contact district with the specified ID.